//采样点接口
const config = require("../config")
const DataFetcher = require("../data/DataFetcher");

const dataFetcher = new DataFetcher("https://mock.feiniaotech.com/feiniao-ggp");



module.exports = {
    list: {
        url: config.base_url + "region/list",
        type: "post",
    },
    listArea: {
        url: config.base_url + "temp_blue_region/list",
        type: "get",
    },
    plotList: {
        url: config.base_url + "plant_plot/list",
        type: "get",
        mockCondition: (p)=>{
            return false;
        },mockFun:function(p){
            return dataFetcher.fetchDataKey(`plotList/${p.locationId}`)
        }
    },
}
